# eric5.Helpviewer.HelpTabBar

Module implementing a specialized tab bar for the web browser.

### Global Attributes

None

### Classes

HelpTabBar | Class implementing the tab bar of the web browser.

### Functions

None

## HelpTabBar

Class implementing the tab bar of the web browser.

### Derived from

E5WheelTabBar

### Class Attributes

None

### Class Methods

None

### Methods

HelpTabBar | Constructor
__showTabPreview | Private slot to show the tab preview.
event | Public method to handle event.
leaveEvent | Protected method to handle leave events.
mouseMoveEvent | Protected method to handle mouse move events.
mousePressEvent | Protected method to handle mouse press events.
tabRemoved | Public slot to handle the removal of a tab.

### Static Methods

None

#### HelpTabBar (Constructor)

HelpTabBar(parent=None)

Constructor

parent
  reference to the parent widget (HelpTabWidget)

#### HelpTabBar.__showTabPreview

__showTabPreview()

Private slot to show the tab preview.

#### HelpTabBar.event

event(evt)

Public method to handle event.

This event handler just handles the tooltip event and passes the handling of all others to the superclass.

evt
  reference to the event to be handled (QEvent)

Returns:
  flag indicating, if the event was handled (boolean)

#### HelpTabBar.leaveEvent

leaveEvent(evt)

Protected method to handle leave events.

evt
  reference to the leave event (QEvent)

#### HelpTabBar.mouseMoveEvent

mouseMoveEvent(evt)

Protected method to handle mouse move events.

evt
  reference to the mouse move event (QMouseEvent)

#### HelpTabBar.mousePressEvent

mousePressEvent(evt)

Protected method to handle mouse press events.

evt
  reference to the mouse press event (QMouseEvent)

#### HelpTabBar.tabRemoved

tabRemoved(index)

Public slot to handle the removal of a tab.

index
  index of the removed tab (integer)

Up